org.richfaces.taglib

## Class DataListTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentELTag
      - - org.richfaces.webapp.taglib.UIComponentELTagBase
        - - org.ajax4jsf.webapp.taglib.UIComponentTagBase
          - - org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
            - - org.richfaces.taglib.DataListTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public class DataListTag
      extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataListTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getRendererType()`
    `void` | `release()`
    `void` | `setAjaxKeys(javax.el.ValueExpression __ajaxKeys)` This attribute defines row keys that are updated after an AJAX request Setter for ajaxKeys
    `void` | `setComponentState(javax.el.ValueExpression __componentState)` It defines EL-binding for a component state for saving or redefinition Setter for componentState
    `void` | `setFirst(javax.el.ValueExpression __first)` A zero-relative row number of the first row to display Setter for first
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `void` | `setRowClasses(javax.el.ValueExpression __rowClasses)` A comma-delimited list of CSS style classes that is applied to popup table rows.
    `void` | `setRowKey(javax.el.ValueExpression __rowKey)` RowKey is a representation of an identifier for a specific data row Setter for rowKey
    `void` | `setRowKeyConverter(javax.el.ValueExpression __rowKeyConverter)` Converter for a row key object Setter for rowKeyConverter
    `void` | `setRowKeyVar(java.lang.String __rowKeyVar)` The attribute provides access to a row key in a Request scope Setter for rowKeyVar
    `void` | `setRows(javax.el.ValueExpression __rows)` A number of rows to display, or zero for all remaining rows in the table Setter for rows
    `void` | `setStateVar(java.lang.String __stateVar)` The attribute provides access to a component state on the client side Setter for stateVar
    `void` | `setType(javax.el.ValueExpression __type)` Corresponds to the HTML DL type attribute Setter for type
    `void` | `setValue(javax.el.ValueExpression __value)` The current value for this component Setter for value
    `void` | `setVar(java.lang.String __var)` A request-scope attribute via which the data object for the current row will be used when iterating Setter for var

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

      `setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

    - ### Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase

      `getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

    - ### Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase

      `setActionListenerProperty, setActionProperty, setConverterProperty, setRowKeyConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

    - ### Methods inherited from class javax.faces.webapp.UIComponentELTag

      `createComponent, getELContext, hasBinding, setBinding, setRendered`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, doStartTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### DataListTag

          public DataListTag()

  - ### Method Detail

    - #### setAjaxKeys

          public void setAjaxKeys(javax.el.ValueExpression __ajaxKeys)

      This attribute defines row keys that are updated after an AJAX request Setter for ajaxKeys
      Parameters:
        `ajaxKeys` - - new value

    - #### setComponentState

          public void setComponentState(javax.el.ValueExpression __componentState)

      It defines EL-binding for a component state for saving or redefinition Setter for componentState
      Parameters:
        `componentState` - - new value

    - #### setFirst

          public void setFirst(javax.el.ValueExpression __first)

      A zero-relative row number of the first row to display Setter for first
      Parameters:
        `first` - - new value

    - #### setRowClasses

          public void setRowClasses(javax.el.ValueExpression __rowClasses)

      A comma-delimited list of CSS style classes that is applied to popup table rows. A space separated list of classes may also be specified for any individual row. The styles are applied, in turn, to each row in the table. For example, if the list has two elements, the first style class in the list is applied to the first row, the second to the second row, the first to the third row, the second to the fourth row, etc. In other words, we keep iterating through the list until we reach the end, and then we start at the beginning again Setter for rowClasses
      Parameters:
        `rowClasses` - - new value

    - #### setRowKey

          public void setRowKey(javax.el.ValueExpression __rowKey)

      RowKey is a representation of an identifier for a specific data row Setter for rowKey
      Parameters:
        `rowKey` - - new value

    - #### setRowKeyConverter

          public void setRowKeyConverter(javax.el.ValueExpression __rowKeyConverter)

      Converter for a row key object Setter for rowKeyConverter
      Parameters:
        `rowKeyConverter` - - new value

    - #### setRowKeyVar

          public void setRowKeyVar(java.lang.String __rowKeyVar)

      The attribute provides access to a row key in a Request scope Setter for rowKeyVar
      Parameters:
        `rowKeyVar` - - new value

    - #### setRows

          public void setRows(javax.el.ValueExpression __rows)

      A number of rows to display, or zero for all remaining rows in the table Setter for rows
      Parameters:
        `rows` - - new value

    - #### setStateVar

          public void setStateVar(java.lang.String __stateVar)

      The attribute provides access to a component state on the client side Setter for stateVar
      Parameters:
        `stateVar` - - new value

    - #### setType

          public void setType(javax.el.ValueExpression __type)

      Corresponds to the HTML DL type attribute Setter for type
      Parameters:
        `type` - - new value

    - #### setValue

          public void setValue(javax.el.ValueExpression __value)

      The current value for this component Setter for value
      Parameters:
        `value` - - new value

    - #### setVar

          public void setVar(java.lang.String __var)

      A request-scope attribute via which the data object for the current row will be used when iterating Setter for var
      Parameters:
        `var` - - new value

    - #### release

          public void release()

      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### setProperties

          protected void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

    - #### getComponentType

          public java.lang.String getComponentType()

      Specified by:
        `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

    - #### getRendererType

          public java.lang.String getRendererType()

      Specified by:
        `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Copyright © 2014. All Rights Reserved.